export declare class PromiseCancel<T = unknown> {
    private promise;
    private resolve;
    private reject;
    private raceHasBeenCalled;
    constructor();
    cancelResolve(value: T | PromiseLike<T>): void;
    cancelReject(reason?: any): void;
    race<TRace extends Promise<any>[]>(...promises: readonly [...TRace]): Promise<T | (readonly [...TRace][number] extends PromiseLike<infer U> ? U : readonly [...TRace][number])>;
    private assign;
}
