import { reactive, ref } from 'vue';
import { Rule } from '../composition/useValidation';
export declare class FormField {
    private errors;
    private initialModelValue;
    modelValue: ReturnType<typeof ref> | ReturnType<typeof reactive>;
    touched: boolean;
    validating: import("vue").Ref<boolean>;
    name: string;
    constructor(name: string, modelValue: any, rules: Rule[]);
    setError(ruleNumber: number, error: string | null): void;
    getErrors(): import("vue").ComputedRef<string[]>;
    hasError(): import("vue").ComputedRef<boolean>;
    reset(toDefaultValues: boolean): void;
}
