export const isNotNull = (x) => x !== null;
export const isObject = (x) => typeof x === 'object' && x !== null && !Array.isArray(x);
export const isArray = (x) => Array.isArray(x);
export const isField = (x) => isObject(x) ? '$value' in x : false;
export const isTransformedField = (x) => isObject(x)
    ? '$uid' in x && '$value' in x && '$errors' in x && '$validating' in x
    : false;
